diff --git a/bin/legacy/foamEbrowse b/bin/legacy/foamEbrowse
deleted file mode 100755
index 68291143de7b1d4568cb7bb1d9994280bd223bce..0000000000000000000000000000000000000000
--- a/bin/legacy/foamEbrowse
+++ /dev/null
@@ -1,55 +0,0 @@
-#!/bin/sh
-#------------------------------------------------------------------------------
-# =========                 |
-# \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
-#  \\    /   O peration     |
-#   \\  /    A nd           |
-#    \\/     M anipulation  |
-#-------------------------------------------------------------------------------
-#                           | Copyright (C) 2011 OpenFOAM Foundation
-#------------------------------------------------------------------------------
-# License
-#     This file is part of OpenFOAM.
-#
-#     OpenFOAM is free software: you can redistribute it and/or modify it
-#     under the terms of the GNU General Public License as published by
-#     the Free Software Foundation, either version 3 of the License, or
-#     (at your option) any later version.
-#
-#     OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
-#     ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
-#     FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
-#     for more details.
-#
-#     You should have received a copy of the GNU General Public License
-#     along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.
-#
-# Script
-#     foamEbrowse
-#
-# Description
-#     Build the Ebrowse database for all the .H and .C files
-#
-#------------------------------------------------------------------------------
-sourcesFile=${TMPDIR:-/tmp}/sourcesFile.$$
-
-if [ $# -ne 0 ]
-then
-    echo "Usage : ${0##*/}"
-    echo ""
-    echo "Build the Ebrowse database for all the .H and .C files"
-    echo ""
-    exit 1
-fi
-
-# Clean up on termination and on Ctrl-C
-trap 'rm -f $sourcesFile 2>/dev/null; exit 0' EXIT TERM INT
-
-cd $WM_PROJECT_DIR
-mkdir .tags 2>/dev/null
-cd .tags
-
-find -H .. \( -name "*.[HC]" -o -name lnInclude -prune -o -name Doxygen -prune \) -print > $sourcesFile
-ebrowse --files=$sourcesFile --output-file=ebrowse
-
-#------------------------------------------------------------------------------
diff --git a/bin/legacy/foamPack b/bin/legacy/foamPack
deleted file mode 100755
index ef6fe285228a58bc0780b9d514a5263acdf3614f..0000000000000000000000000000000000000000
--- a/bin/legacy/foamPack
+++ /dev/null
@@ -1,132 +0,0 @@
-#!/bin/sh
-#------------------------------------------------------------------------------
-# =========                 |
-# \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
-#  \\    /   O peration     |
-#   \\  /    A nd           |
-#    \\/     M anipulation  |
-#------------------------------------------------------------------------------
-#                           | Copyright (C) 2011-2012 OpenFOAM Foundation
-#------------------------------------------------------------------------------
-# License
-#     This file is part of OpenFOAM.
-#
-#     OpenFOAM is free software: you can redistribute it and/or modify it
-#     under the terms of the GNU General Public License as published by
-#     the Free Software Foundation, either version 3 of the License, or
-#     (at your option) any later version.
-#
-#     OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
-#     ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
-#     FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
-#     for more details.
-#
-#     You should have received a copy of the GNU General Public License
-#     along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.
-#
-# Script
-#     foamPack [OPTION]
-#
-# Description
-#     Pack and compress the OpenFOAM directory for release
-#
-#------------------------------------------------------------------------------
-packDir=$WM_PROJECT-$WM_PROJECT_VERSION
-toolsDir="${0%/*}/tools"  # this script is located in the tools/ parent dir
-
-usage() {
-    exec 1>&2
-    while [ "$#" -gt 0 ]; do echo "$1"; shift; done
-cat <<USAGE
-Usage: ${0##*/} [OPTION]
-options:
-  -o, -output <dir>     specify alternative output directory
-  -nogit                bypass using 'git archive'
-
-* Pack and compress OpenFOAM directory for release
-
-USAGE
-    exit 1
-}
-
-unset outputDir nogit
-# parse options
-while [ "$#" -gt 0 ]
-do
-    case "$1" in
-    -h | -help*)
-        usage
-        ;;
-    -nogit)
-        nogit=true
-        shift
-        ;;
-    -o | -output)
-        [ "$#" -ge 2 ] || usage "'$1' option requires an argument"
-        outputDir=${2%%/}
-        shift 2
-        ;;
-    -*)
-        usage "unknown option: '$*'"
-        ;;
-    *)
-        break
-        ;;
-    esac
-done
-
-# check for essential directories
-[ -d $packDir ] || {
-    echo "Error: directory $packDir does not exist" 1>&2
-    exit 1
-}
-
-
-#------------------------------------------------------------------------------
-timeStamp=$(date +%Y-%m-%d)
-packExt=tgz
-packBase=${packDir}_${timeStamp}
-
-# add optional output directory
-[ -d "$outputDir" ] && packBase="$outputDir/$packBase"
-packFile=$packBase.$packExt
-
-# avoid overwriting old pack file
-if [ -f $packFile ]
-then
-    echo "Error: $packFile already exists" 1>&2
-    exit 1
-fi
-
-# add time-stamp file before packing
-echo $timeStamp 2>/dev/null > $packDir/.timeStamp
-
-# check for git (program and .git directory)
-(cd $packDir && git branch) > /dev/null 2>&1 || nogit=true
-
-if [ "$nogit" = true ]
-then
-    echo "pack manually" 1>&2
-    foamPackSource $packDir $packFile
-else
-    if [ ! -f $packDir/.build ]
-    then
-        echo "Error: $packDir/.build does not exists" 1>&2
-        echo "       Please update this by running e.g. 'wmakePrintBuild -update' in $packDir" 1>&2
-        exit 2
-    fi
-
-
-    echo "pack with git-archive" 1>&2 &&
-    ( cd $packDir && git archive --format=tar --prefix=$packDir/ HEAD) > $packBase.tar &&
-
-    echo "add in time-stamp and lnInclude directories" 1>&2 &&
-    tar cf $packBase.tar2 $packDir/.timeStamp $packDir/.build $(find -H $packDir -name lnInclude -type d) &&
-    tar Af $packBase.tar $packBase.tar2 &&
-
-    echo "gzip tar file" 1>&2 &&
-    gzip -c9 $packBase.tar > $packFile &&
-    rm -f $packBase.tar $packBase.tar2 2>/dev/null
-fi
-
-#------------------------------------------------------------------------------
diff --git a/bin/legacy/foamPackBin b/bin/legacy/foamPackBin
deleted file mode 100755
index 1327799c5a8c86cf63524bb0db24f7720e438f7a..0000000000000000000000000000000000000000
--- a/bin/legacy/foamPackBin
+++ /dev/null
@@ -1,170 +0,0 @@
-#!/bin/sh
-#------------------------------------------------------------------------------
-# =========                 |
-# \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
-#  \\    /   O peration     |
-#   \\  /    A nd           |
-#    \\/     M anipulation  |
-#-------------------------------------------------------------------------------
-#                           | Copyright (C) 2011-2015 OpenFOAM Foundation
-#------------------------------------------------------------------------------
-# License
-#     This file is part of OpenFOAM.
-#
-#     OpenFOAM is free software: you can redistribute it and/or modify it
-#     under the terms of the GNU General Public License as published by
-#     the Free Software Foundation, either version 3 of the License, or
-#     (at your option) any later version.
-#
-#     OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
-#     ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
-#     FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
-#     for more details.
-#
-#     You should have received a copy of the GNU General Public License
-#     along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.
-#
-# Script
-#     foamPackBin [OPTION] <archOptions>
-#
-# Description
-#     Pack and compress binary version of OpenFOAM for release
-#
-# Script
-#     foamPackThirdPartyBin [OPTION] <archOptions>
-#
-# Description
-#     Pack and compress binary version of OpenFOAM ThirdParty for release
-#
-#------------------------------------------------------------------------------
-toolsDir="${0%/*}/tools"  # this script is located in the tools/ parent dir
-
-case "${0##*/}" in
-*ThirdParty*)
-    # for ThirdParty
-    codeBase="OpenFOAM ThirdParty"
-    packDir=ThirdParty-$WM_PROJECT_VERSION
-    listBinDirs=$toolsDir/foamListThirdPartyBinDirs
-    ;;
-*)
-    # regular
-    codeBase="OpenFOAM"
-    packDir=$WM_PROJECT-$WM_PROJECT_VERSION
-    listBinDirs=$toolsDir/foamListBinDirs
-    ;;
-esac
-
-
-usage() {
-    exec 1>&2
-    while [ "$#" -gt 0 ]; do echo "$1"; shift; done
-cat <<USAGE
-Usage: ${0##*/} [OPTION] <archOptions>
-       ${0##*/} [OPTION] -current
-options:
-  -b, -bzip2            use bzip2 instead of gzip compression
-  -c, -current          use current value of \$WM_OPTIONS
-  -o, -output <dir>     specify alternative output directory
-
-* Pack and compress binary version of $codeBase for release
-
-    The value of 'archOptions' normally corresponds to \$WM_OPTIONS
-    The current value of \$WM_OPTIONS = $WM_OPTIONS
-
-USAGE
-    exit 1
-}
-
-
-unset archOptions outputDir
-packExt=tgz
-
-# parse options
-while [ "$#" -gt 0 ]
-do
-    case "$1" in
-    -h | -help*)
-        usage
-        ;;
-    -b | -bzip2)
-        packExt=tbz
-        shift
-        ;;
-    -c | -current)      # use $WM_OPTIONS - eg, 'linux64GccDPOpt'
-        archOptions="$WM_OPTIONS"
-        shift
-        ;;
-    -o | -output)
-        [ "$#" -ge 2 ] || usage "'$1' option requires an argument"
-        outputDir=${2%%/}
-        shift 2
-        ;;
-    -*)
-        usage "unknown option: '$*'"
-        ;;
-    *)
-        break
-        ;;
-    esac
-done
-
-if [ -n "$archOptions" ]
-then
-    [ $# -eq 0 ] || usage "Error: cannot specify both -current and architecture"
-else
-    archOptions="$1"
-    [ $# -eq 1 ] || usage "Error: specify architecture"
-fi
-
-
-#------------------------------------------------------------------------------
-timeStamp=$(date +%Y-%m-%d)
-packBase=${packDir}.${archOptions}_${timeStamp}
-
-# add optional output directory
-[ -d "$outputDir" ] && packBase="$outputDir/$packBase"
-packFile=$packBase.$packExt
-
-# avoid overwriting old pack file
-if [ -f $packFile ]
-then
-    echo "Error: $packFile already exists" 1>&2
-    exit 1
-fi
-
-
-#------------------------------------------------------------------------------
-
-# Get list of directories
-dirList=$( $listBinDirs $packDir $archOptions )
-if [ $? -eq 0 -a -n "$dirList" ]
-then
-    echo "Pack into $packFile" 1>&2
-    echo 1>&2
-else
-    exit 1
-fi
-
-# bzip2 or gzip compression
-case "$packFile" in
-*tbz)
-    tarOpt=cpjf
-    ;;
-*)
-    tarOpt=cpzf
-    ;;
-esac
-
-# Clean up on Ctrl-C
-trap 'rm -f $packFile 2>/dev/null' INT
-
-tar $tarOpt $packFile $dirList
-if [ $? -eq 0 ]
-then
-    echo "Finished packing file $packFile" 1>&2
-else
-    echo "Error: failure packing $packFile" 1>&2
-    rm -f $packFile 2>/dev/null
-fi
-
-#------------------------------------------------------------------------------
diff --git a/bin/legacy/foamPackBinAll b/bin/legacy/foamPackBinAll
deleted file mode 100755
index 9f6413605e07def48655a60f9ebc332985a11f07..0000000000000000000000000000000000000000
--- a/bin/legacy/foamPackBinAll
+++ /dev/null
@@ -1,88 +0,0 @@
-#!/bin/sh
-#------------------------------------------------------------------------------
-# =========                 |
-# \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
-#  \\    /   O peration     |
-#   \\  /    A nd           |
-#    \\/     M anipulation  |
-#-------------------------------------------------------------------------------
-#                           | Copyright (C) 2011 OpenFOAM Foundation
-#------------------------------------------------------------------------------
-# License
-#     This file is part of OpenFOAM.
-#
-#     OpenFOAM is free software: you can redistribute it and/or modify it
-#     under the terms of the GNU General Public License as published by
-#     the Free Software Foundation, either version 3 of the License, or
-#     (at your option) any later version.
-#
-#     OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
-#     ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
-#     FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
-#     for more details.
-#
-#     You should have received a copy of the GNU General Public License
-#     along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.
-#
-# Script
-#     foamPackBinAll [OPTION]
-#
-# Description
-#     Pack and compress all binary versions of OpenFOAM for release
-#
-# Script
-#     foamPackThirdPartyBinAll [OPTION]
-#
-# Description
-#     Pack and compress all binary versions of OpenFOAM ThirdParty for release
-#
-#------------------------------------------------------------------------------
-binDir="${0%/*}"  # this script is located in the bin/ dir
-
-case "${0##*/}" in
-*ThirdParty*)
-    # for ThirdParty
-    packDir=ThirdParty-$WM_PROJECT_VERSION
-    packBin=foamPackThirdPartyBin
-    ;;
-*)
-    # regular
-    packDir=$WM_PROJECT-$WM_PROJECT_VERSION
-    packBin=foamPackBin
-    ;;
-esac
-
-
-[ -d $packDir ] || {
-    echo "Error: directory $packDir does not exist" 1>&2
-    exit 1
-}
-
-
-if [ -d $packDir/lib ]
-then
-
-    # obtain archOptions types from lib/<archOptions>
-    for archOptions in $packDir/lib/*
-    do
-        $binDir/$packBin $@ ${archOptions##*/}
-    done
-
-elif [ -d $packDir/platforms ]
-then
-
-    # obtain archOptions types from platforms/<archOptions>/lib
-    for archOptions in $packDir/platforms/*/lib
-    do
-        archOptions=${archOptions%%/lib}
-        $binDir/$packBin $@ ${archOptions##*/}
-    done
-
-else
-
-    echo "Error: directory $packDir does not appear packable" 1>&2
-    exit 1
-
-fi
-
-#------------------------------------------------------------------------------
diff --git a/bin/legacy/foamPackDoxygen b/bin/legacy/foamPackDoxygen
deleted file mode 100755
index 1bd1fe804d87aadeab81f3ce08864c847009a68a..0000000000000000000000000000000000000000
--- a/bin/legacy/foamPackDoxygen
+++ /dev/null
@@ -1,149 +0,0 @@
-#!/bin/sh
-#------------------------------------------------------------------------------
-# =========                 |
-# \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
-#  \\    /   O peration     |
-#   \\  /    A nd           |
-#    \\/     M anipulation  |
-#-------------------------------------------------------------------------------
-#                           | Copyright (C) 2011 OpenFOAM Foundation
-#------------------------------------------------------------------------------
-# License
-#     This file is part of OpenFOAM.
-#
-#     OpenFOAM is free software: you can redistribute it and/or modify it
-#     under the terms of the GNU General Public License as published by
-#     the Free Software Foundation, either version 3 of the License, or
-#     (at your option) any later version.
-#
-#     OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
-#     ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
-#     FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
-#     for more details.
-#
-#     You should have received a copy of the GNU General Public License
-#     along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.
-#
-# Script
-#     foamPackDoxygen [-prefix DIR] [-o outputDir]
-#
-# Description
-#     Pack and compress the OpenFOAM doxygen html for release
-#
-#------------------------------------------------------------------------------
-packDir=$WM_PROJECT-$WM_PROJECT_VERSION
-htmlDir=doc/Doxygen/html
-
-usage() {
-    exec 1>&2
-    while [ "$#" -gt 0 ]; do echo "$1"; shift; done
-cat <<USAGE
-Usage: ${0##*/} [OPTION]
-options:
-  -b, -bzip2            use bzip2 instead of gzip compression
-  -o, -output <dir>     specify alternative output directory
-  -prefix <dir>         use alternative prefix
-
-* Pack and compress the OpenFOAM doxygen html for release
-
-USAGE
-    exit 1
-}
-
-
-unset prefix outputDir
-packExt=tgz
-
-# parse options
-while [ "$#" -gt 0 ]
-do
-    case $1 in
-    -h | -help*)
-        usage
-        ;;
-    -b | -bzip2)
-        packExt=tbz
-        shift
-        ;;
-    -o | -output)
-        [ "$#" -ge 2 ] || usage "'$1' option requires an argument"
-        outputDir=${2%%/}
-        shift 2
-        ;;
-    -prefix | --prefix)
-        [ "$#" -ge 2 ] || usage "'$1' option requires an argument"
-        prefix=${2%%/}
-        shift 2
-        ;;
-    -*)
-        usage "unknown option: '$*'"
-        ;;
-    esac
-done
-
-# if packing from within the directory, use -prefix form
-if [ "${PWD##*/}" = "$packDir" ]
-then
-    : ${prefix:=$packDir}
-fi
-
-# pack the directories directly and add prefix afterwards
-if [ -n "$prefix" ]
-then
-    packDir="$prefix"
-elif [ ! -d $packDir ]
-then
-    echo "Error: directory $packDir does not exist" 1>&2
-    exit 1
-fi
-
-#------------------------------------------------------------------------------
-packName=${packDir}_Doxygen
-
-# add optional output directory
-[ -d "$outputDir" ] && packName="$outputDir/$packName"
-packFile=$packName.$packExt
-
-
-if [ -f $packFile ]
-then
-    echo "Error: $packFile already exists" 1>&2
-    exit 1
-fi
-
-cat <<INFO 1>&2
--------------------------------------------------------------------------------
-Packing doxygen html into $packFile
-
-INFO
-
-# bzip2 or gzip compression
-case "$packFile" in
-*tbz)
-    tarOpt=cpjf
-    ;;
-*)
-    tarOpt=cpzf
-    ;;
-esac
-
-# Clean up on Ctrl-C
-trap 'rm -f $packFile 2>/dev/null' INT
-
-if [ -n "$prefix" ]
-then
-    # requires GNU tar
-    tar $tarOpt $packFile --transform="s@^@$prefix/@" $htmlDir
-else
-    tar $tarOpt $packFile $packDir/$htmlDir
-fi
-
-if [ $? -eq 0 ]
-then
-    echo "Finished packing doxygen html into $packFile" 1>&2
-else
-    echo "Error: failure packing doxygen html into $packFile" 1>&2
-    rm -f $packFile 2>/dev/null
-fi
-
-#------------------------------------------------------------------------------
diff --git a/bin/legacy/foamPackSource b/bin/legacy/foamPackSource
deleted file mode 100755
index fece73a66719a32142957ba3a2dbb47a515ea4cc..0000000000000000000000000000000000000000
--- a/bin/legacy/foamPackSource
+++ /dev/null
@@ -1,105 +0,0 @@
-#!/bin/sh
-#------------------------------------------------------------------------------
-# =========                 |
-# \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
-#  \\    /   O peration     |
-#   \\  /    A nd           |
-#    \\/     M anipulation  |
-#-------------------------------------------------------------------------------
-#                           | Copyright (C) 2011 OpenFOAM Foundation
-#------------------------------------------------------------------------------
-# License
-#     This file is part of OpenFOAM.
-#
-#     OpenFOAM is free software: you can redistribute it and/or modify it
-#     under the terms of the GNU General Public License as published by
-#     the Free Software Foundation, either version 3 of the License, or
-#     (at your option) any later version.
-#
-#     OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
-#     ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
-#     FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
-#     for more details.
-#
-#     You should have received a copy of the GNU General Public License
-#     along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.
-#
-# Script
-#     foamPackSource <directory> <tarFile>
-#
-# Description
-#     Pack and compress all source files from a given directory.
-#
-# Note
-#     Not normally called directly by the user
-#------------------------------------------------------------------------------
-tmpFile=${TMPDIR:-/tmp}/foamPackFiles.$$
-toolsDir="${0%/*}/tools"  # this script is located in the tools/ parent dir
-
-[ $# -eq 2 ] || {
-cat <<USAGE 1>&2
-Usage : ${0##*/} directory tarFile
-
-* Pack and compress all source files from a given directory into <tarFile>
-
-USAGE
-    exit 1
-}
-
-# canonical form (no double and no trailing dashes)
-packDir=$(echo "$1" | sed -e 's@//*@/@g' -e 's@/$@@')
-packFile=$2
-
-# check for essential directories
-[ -d $packDir ] || {
-    echo "Error: directory $packDir does not exist" 1>&2
-    exit 1
-}
-
-
-# avoid overwriting old pack file
-if [ -f $packFile ]
-then
-    echo "Error: $packFile already exists" 1>&2
-    exit 1
-fi
-
-# Clean up on termination and on Ctrl-C
-trap 'rm -f $tmpFile 2>/dev/null; exit 0' EXIT TERM INT
-
-# get all names
-$toolsDir/foamListSourceFiles $packDir > $tmpFile
-
-
-# provide some feedback
-cat <<INFO 1>&2
--------------------------------------------------------------------------------
-Packing $packDir source files into $packFile
-
-INFO
-wc $tmpFile | awk '{print "Packing",$1,"files - this could take some time ..."}' 1>&2
-
-
-# bzip2 or gzip compression
-case "$packFile" in
-*tbz)
-    tarOpt=cpjf
-    ;;
-*)
-    tarOpt=cpzf
-    ;;
-esac
-
-# Clean up on Ctrl-C
-trap 'rm -f $packFile $tmpFile 2>/dev/null' INT
-
-tar $tarOpt $packFile --files-from $tmpFile
-if [ $? -eq 0 ]
-then
-    echo "Finished packing $packDir into $packFile" 1>&2
-else
-    echo "Error: failure packing $packDir into $packFile" 1>&2
-    rm -f $packFile 2>/dev/null
-fi
-
-#------------------------------------------------------------------------------
diff --git a/bin/legacy/foamPackThirdParty b/bin/legacy/foamPackThirdParty
deleted file mode 100755
index 24aadeb48db7417a1694fe5b718326aa52bd7e07..0000000000000000000000000000000000000000
--- a/bin/legacy/foamPackThirdParty
+++ /dev/null
@@ -1,108 +0,0 @@
-#!/bin/sh
-#------------------------------------------------------------------------------
-# =========                 |
-# \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
-#  \\    /   O peration     |
-#   \\  /    A nd           |
-#    \\/     M anipulation  |
-#------------------------------------------------------------------------------
-#                           | Copyright (C) 2011 OpenFOAM Foundation
-#------------------------------------------------------------------------------
-# License
-#     This file is part of OpenFOAM.
-#
-#     OpenFOAM is free software: you can redistribute it and/or modify it
-#     under the terms of the GNU General Public License as published by
-#     the Free Software Foundation, either version 3 of the License, or
-#     (at your option) any later version.
-#
-#     OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
-#     ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
-#     FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
-#     for more details.
-#
-#     You should have received a copy of the GNU General Public License
-#     along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.
-#
-# Script
-#     foamPackThirdParty [OPTION]
-#
-# Description
-#     Pack and compress the OpenFOAM ThirdParty directory for release
-#
-#------------------------------------------------------------------------------
-packDir=ThirdParty-$WM_PROJECT_VERSION
-toolsDir="${0%/*}/tools"  # this script is located in the tools/ parent dir
-
-usage() {
-    exec 1>&2
-    while [ "$#" -gt 0 ]; do echo "$1"; shift; done
-cat <<USAGE
-Usage: ${0##*/} [OPTION]
-options:
-  -o <dir>          specify alternative output directory
-
-* Pack and compress ThirdParty directory for release
-
-USAGE
-    exit 1
-}
-
-unset prefix outputDir nogit
-# parse options
-while [ "$#" -gt 0 ]
-do
-    case "$1" in
-    -h | -help*)
-        usage
-        ;;
-    -nogit)
-        nogit=true
-        shift
-        ;;
-    -o | -output)
-        [ "$#" -ge 2 ] || usage "'$1' option requires an argument"
-        outputDir=${2%%/}
-        shift 2
-        ;;
-    -*)
-        usage "unknown option: '$*'"
-        ;;
-    *)
-        break
-        ;;
-    esac
-done
-
-# check for essential directories
-[ -d $packDir ] || {
-    echo "Error: directory $packDir does not exist" 1>&2
-    exit 1
-}
-
-
-#------------------------------------------------------------------------------
-timeStamp=$(date +%Y-%m-%d)
-packExt=tgz
-packBase=${packDir}_${timeStamp}
-
-# add optional output directory
-[ -d "$outputDir" ] && packBase="$outputDir/$packBase"
-packFile=$packBase.$packExt
-
-# avoid overwriting old pack file
-if [ -f $packFile ]
-then
-    echo "Error: $packFile already exists"
-    exit 1
-fi
-
-
-#------------------------------------------------------------------------------
-
-# add time-stamp file before packing
-echo $timeStamp 2>/dev/null > $packDir/.timeStamp
-echo "pack manually" 1>&2
-foamPackSource $packDir $packFile
-
-#------------------------------------------------------------------------------
diff --git a/bin/legacy/foamPackThirdPartyBin b/bin/legacy/foamPackThirdPartyBin
deleted file mode 120000
index 4841836eb6bbfc8fc3a822e242ee8974357770e9..0000000000000000000000000000000000000000
--- a/bin/legacy/foamPackThirdPartyBin
+++ /dev/null
@@ -1 +0,0 @@
-foamPackBin
\ No newline at end of file
diff --git a/bin/legacy/foamPackThirdPartyBinAll b/bin/legacy/foamPackThirdPartyBinAll
deleted file mode 120000
index d37f60a48ac388b34e6eb1f4b31e885f7205b79e..0000000000000000000000000000000000000000
--- a/bin/legacy/foamPackThirdPartyBinAll
+++ /dev/null
@@ -1 +0,0 @@
-foamPackBinAll
\ No newline at end of file
diff --git a/bin/legacy/foamProcessInfo b/bin/legacy/foamProcessInfo
deleted file mode 100755
index 5b522cfe585864499db6b44cfbfd9ce27595f4a2..0000000000000000000000000000000000000000
--- a/bin/legacy/foamProcessInfo
+++ /dev/null
@@ -1,119 +0,0 @@
-#!/bin/sh
-#------------------------------------------------------------------------------
-# =========                 |
-# \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
-#  \\    /   O peration     |
-#   \\  /    A nd           |
-#    \\/     M anipulation  |
-#-------------------------------------------------------------------------------
-#                           | Copyright (C) 2011 OpenFOAM Foundation
-#------------------------------------------------------------------------------
-# License
-#     This file is part of OpenFOAM.
-#
-#     OpenFOAM is free software: you can redistribute it and/or modify it
-#     under the terms of the GNU General Public License as published by
-#     the Free Software Foundation, either version 3 of the License, or
-#     (at your option) any later version.
-#
-#     OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
-#     ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
-#     FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
-#     for more details.
-#
-#     You should have received a copy of the GNU General Public License
-#     along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.
-#
-# Script
-#     foamProcessInfo
-#
-# Description
-#     Collects user's process status information into file. File contains one
-#     line per process:
-#
-#        pid state command
-#
-#     state is one of 'RUNN' 'SUSP' 'OTHR',
-#     command is the argv[0]
-#
-#     Tested on Linux,IRIX,SunOS
-#
-#-------------------------------------------------------------------------------
-
-PROGNAME=`basename $0`
-TMPFILE=/tmp/${PROGNAME}$$.tmp
-AWKFILE=/tmp/${PROGNAME}$$.awk
-
-if [ `uname -s` = Linux ]
-then
-    ECHO='echo -e'
-else
-    ECHO='echo'
-fi
-
-
-if [ $# -ne 1 ]
-then
-    echo "Error : $PROGNAME : insufficient arguments" 1>&2
-    exit 1
-fi
-
-
-outputFile=$1
-rm -f $outputFile
-
-
-ARCH=`uname`
-
-#-- Force standards behaving ps
-#   Get info on all $USER processes
-case $ARCH in
-  HP-UX*)
-    UNIX95=a; export UNIX95
-    ;;
-  IRIX*)
-    _XPG=1; export _XPG
-    ;;
-esac
-
-case $ARCH in
-  SunOS*)
-    ps -e -o 'pid,f,s,comm' > $TMPFILE
-    ;;
-  HP-UX*)
-    ps -e -o 'pid,flags,state,comm' > $TMPFILE
-    ;;
-  *)
-    ps -e -o 'pid,flag,state,comm' > $TMPFILE
-esac
-
-
-rm -f $AWKFILE; touch $AWKFILE
-case $ARCH in
-  IRIX*)
-    echo '($2 == 40) || ($3 == "T") {print $1 " SUSP // " $4; next}' >> $AWKFILE
-    echo '($3 == "R") || ($3 == "S") || ($3 == "D") {print $1 " RUNN // " $4; next}' >> $AWKFILE
-    echo '{print $1 " OTHR // " $4}' >> $AWKFILE
-    ;;
-  Linux*)
-    echo '($3 == "T") {print $1 " SUSP // " $4; next}' >> $AWKFILE
-    echo '($3 == "R") || ($3 == "S") || ($3 == "D") {print $1 " RUNN // " $4; next}' >> $AWKFILE
-    echo '{print $1 " OTHR // " $4}' >> $AWKFILE
-    ;;
-  SunOS*)
-    echo '($3 == "T") {print $1 " SUSP // " $4; next}' >> $AWKFILE
-    echo '($3 == "O") || ($3 == "S") || ($3 == "R") {print $1 " RUNN // " $4; next}' >> $AWKFILE
-    echo '{print $1 " OTHR // " $4}' >> $AWKFILE
-    ;;
-  *)
-    echo "Error : $PROGNAME : unsupported achitecture $ARCH"
-    ;;
-esac
-
-$ECHO "(" > $outputFile
-tail +2 $TMPFILE | awk -f $AWKFILE >> $outputFile
-$ECHO ")" >> $outputFile
-
-rm -f $TMPFILE $AWKFILE
-
-#------------------------------------------------------------------------------
diff --git a/bin/legacy/foamTags b/bin/legacy/foamTags
deleted file mode 100755
index 29b44d0f56cdc381116ef69176035c24d8f3d030..0000000000000000000000000000000000000000
--- a/bin/legacy/foamTags
+++ /dev/null
@@ -1,84 +0,0 @@
-#!/bin/sh
-#------------------------------------------------------------------------------
-# =========                 |
-# \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
-#  \\    /   O peration     |
-#   \\  /    A nd           |
-#    \\/     M anipulation  |
-#-------------------------------------------------------------------------------
-#                           | Copyright (C) 2011-2016 OpenFOAM Foundation
-#------------------------------------------------------------------------------
-# License
-#     This file is part of OpenFOAM.
-#
-#     OpenFOAM is free software: you can redistribute it and/or modify it
-#     under the terms of the GNU General Public License as published by
-#     the Free Software Foundation, either version 3 of the License, or
-#     (at your option) any later version.
-#
-#     OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
-#     ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
-#     FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
-#     for more details.
-#
-#     You should have received a copy of the GNU General Public License
-#     along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.
-#
-# Script
-#     foamTags
-#
-# Description
-#     Build the tags files for all the .C and .H files
-#
-#     This script is designed for use with emacs
-#
-#     For use, download/install 'exuberant ctags'.  The executable for this
-#     package is called ctags, which conflicts with the 'standard' version
-#     of ctags found on most *nix systems.  Rename the exuberant ctags
-#     executable to ectags.
-#
-#------------------------------------------------------------------------------
-
-if [ $# -ne 0 ]
-then
-    echo "Usage : ${0##*/}"
-    echo ""
-    echo "Build the tags files for all the .C and .H files"
-    echo ""
-    exit 1
-fi
-
-unset etags
-for cmd in ctags-exuberant etags
-do
-    command -v $cmd >/dev/null 2>&1 && { etags=$cmd; break; }
-done
-
-[ -n "$etags" ] || {
-    exec 1>&2
-    echo "${0##*/} cannot build tag files: no suitable command found"
-    echo "   No ctags-exuberant"
-    echo "   No etags"
-    exit 1
-}
-
-case "$etags" in
-ctags-exuberant)
-    etags="$etags -e --extra=+fq --file-scope=no --c-kinds=+p -o .tags/etags -L -"
-    ;;
-etags)
-    etags="$etags --declarations -l c++ -o .tags/etags -"
-    ;;
-esac
-
-cd $WM_PROJECT_DIR || exit 1
-mkdir .tags 2>/dev/null
-
-echo "building tags..." 1>&2
-find -H $WM_PROJECT_DIR \( -name "*.[HC]" -o -name lnInclude -prune -o -name Doxygen -prune \) | $etags
-
-#gtags -i --gtagsconf bin/tools/gtagsrc .tags
-
-#foamEbrowse
-
-#------------------------------------------------------------------------------
diff --git a/bin/legacy/org-html b/bin/legacy/org-html
deleted file mode 120000
index b7b47c1517b6be7fdece72e26afdb9c7edee3696..0000000000000000000000000000000000000000
--- a/bin/legacy/org-html
+++ /dev/null
@@ -1 +0,0 @@
-tools/org-batch
\ No newline at end of file
diff --git a/bin/legacy/org-latex b/bin/legacy/org-latex
deleted file mode 120000
index b7b47c1517b6be7fdece72e26afdb9c7edee3696..0000000000000000000000000000000000000000
--- a/bin/legacy/org-latex
+++ /dev/null
@@ -1 +0,0 @@
-tools/org-batch
\ No newline at end of file
diff --git a/bin/legacy/org-pdflatex b/bin/legacy/org-pdflatex
deleted file mode 120000
index b7b47c1517b6be7fdece72e26afdb9c7edee3696..0000000000000000000000000000000000000000
--- a/bin/legacy/org-pdflatex
+++ /dev/null
@@ -1 +0,0 @@
-tools/org-batch
\ No newline at end of file
diff --git a/bin/legacy/tools/foamListBinDirs b/bin/legacy/tools/foamListBinDirs
deleted file mode 100755
index 3660573f1184cd142d38ef8219a916d0d1e8cb43..0000000000000000000000000000000000000000
--- a/bin/legacy/tools/foamListBinDirs
+++ /dev/null
@@ -1,119 +0,0 @@
-#!/bin/sh
-#------------------------------------------------------------------------------
-# =========                 |
-# \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
-#  \\    /   O peration     |
-#   \\  /    A nd           |
-#    \\/     M anipulation  |
-#-------------------------------------------------------------------------------
-#                           | Copyright (C) 2011 OpenFOAM Foundation
-#------------------------------------------------------------------------------
-# License
-#     This file is part of OpenFOAM.
-#
-#     OpenFOAM is free software: you can redistribute it and/or modify it
-#     under the terms of the GNU General Public License as published by
-#     the Free Software Foundation, either version 3 of the License, or
-#     (at your option) any later version.
-#
-#     OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
-#     ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
-#     FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
-#     for more details.
-#
-#     You should have received a copy of the GNU General Public License
-#     along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.
-#
-# Script
-#     foamListBinDirs <directory> [archOptions]
-#
-# Description
-#     Lists directories containing binary files of OpenFOAM
-#
-# Note
-#     Not normally called directly by the user.
-#------------------------------------------------------------------------------
-toolsDir="${0%/*}"  # this script is already located in the tools/ directory
-
-[ $# -eq 1 -o $# -eq 2 ] || {
-cat <<USAGE 1>&2
-Usage : ${0##*/} <packDir> [archOptions]
-
-* Lists directories containing binary files for OpenFOAM
-
-    The value of 'archOptions' normally corresponds to \$WM_OPTIONS
-    The current value of \$WM_OPTIONS = $WM_OPTIONS
-
-USAGE
-    exit 1
-}
-
-#------------------------------------------------------------------------------
-packDir="$1"
-
-# default to same as $WM_OPTIONS - eg, 'linux64GccDPOpt'
-archOptions="${2:-$WM_OPTIONS}"
-
-[ -n "$archOptions" ] || {
-    echo "Error: no archOptions specified" 1>&2
-    exit 1
-}
-
-# base arch (w/o precision, optimization, etc)
-# same as "$WM_ARCH$WM_COMPILER"
-archCompiler=$(echo "$archOptions" | sed -e 's@[DS]P.*$@@')
-
-# same as $WM_ARCH - eg, 'linux64'
-# TODO: only works for Gcc, Icc, Clang
-archOS=$(echo "$archOptions" | sed -e 's@[GI]cc.*$@@' -e 's@Clang.*$@@')
-
-# links for 32-bit version, eg convert linux64 -> linux-64
-arch3264=$(echo "$archOS" | sed -e 's@64@-64@')
-
-
-#------------------------------------------------------------------------------
-# check for essential directories
-for dir in \
-    $packDir \
-    $packDir/platforms/$archOptions/bin \
-    $packDir/platforms/$archOptions/lib \
-    ;
-do
-    [ -d $dir ] || {
-        echo "Error: directory $dir does not exist" 1>&2
-        exit 1
-    }
-done
-
-#------------------------------------------------------------------------------
-# list of directories
-dirList=$(
-    for dir in \
-        $packDir/platforms/$archOptions/bin \
-        $packDir/platforms/$archOptions/lib \
-        $packDir/wmake/platforms/$archCompiler \
-        $packDir/wmake/platforms/$archOS \
-        $packDir/wmake/rules/General \
-        $packDir/wmake/rules/$archCompiler \
-        $packDir/wmake/rules/$archOS \
-        ;
-    do
-        [ -d $dir ] && echo $dir
-    done
-)
-
-
-cat <<INFO 1>&2
--------------------------------------------------------------------------------
-Packing $archOptions ($archCompiler) port of $packDir
-    archOS       = $archOS
-    32bit archOS = $arch3264
-
-dirs:
-    $(echo ${dirList:-NONE})
-
-INFO
-
-echo "$dirList"
-
-#------------------------------------------------------------------------------
diff --git a/bin/legacy/tools/foamListSourceFiles b/bin/legacy/tools/foamListSourceFiles
deleted file mode 100755
index 501885dbfd715973364da92ea73eecad3f14d4e2..0000000000000000000000000000000000000000
--- a/bin/legacy/tools/foamListSourceFiles
+++ /dev/null
@@ -1,93 +0,0 @@
-#!/bin/sh
-#------------------------------------------------------------------------------
-# =========                 |
-# \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
-#  \\    /   O peration     |
-#   \\  /    A nd           |
-#    \\/     M anipulation  |
-#------------------------------------------------------------------------------
-#                           | Copyright (C) 2011-2016 OpenFOAM Foundation
-#------------------------------------------------------------------------------
-# License
-#     This file is part of OpenFOAM.
-#
-#     OpenFOAM is free software: you can redistribute it and/or modify it
-#     under the terms of the GNU General Public License as published by
-#     the Free Software Foundation, either version 3 of the License, or
-#     (at your option) any later version.
-#
-#     OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
-#     ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
-#     FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
-#     for more details.
-#
-#     You should have received a copy of the GNU General Public License
-#     along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.
-#
-# Script
-#     foamListSourceFiles <directory>
-#
-# Description
-#     Lists source files and Make/{files,options} in given directory
-#
-# Note
-#     Not normally called directly by the user.
-#------------------------------------------------------------------------------
-
-[ $# -eq 1 ] || {
-cat <<USAGE 1>&2
-Usage : ${0##*/} directory
-
-* Lists source files and Make/{files,options} in given directory
-
-USAGE
-    exit 1
-}
-
-# canonical form (no double and no trailing dashes)
-packDir=$(echo "$1" | sed -e 's@//*@/@g' -e 's@/$@@')
-
-# check for essential directories
-[ -d "$packDir" ] || {
-    echo "Error: directory $packDir does not exist" 1>&2
-    exit 1
-}
-
-
-#
-# list of files but excluding
-# - dependent files (dep, obj, lib), archives
-# - exclude Doxygen documentation etc
-#
-
-find -H $packDir                                                               \
-    ! -type d                                                                  \
-   \( -type f -o -type l \)                                                    \
-    ! -name "*~"                                                               \
- -a ! -name ".*~"                                                              \
- -a ! -name "*.dep"                                                            \
- -a ! -name "*.o"                                                              \
- -a ! -name "*.so"                                                             \
- -a ! -name "*.a"                                                              \
- -a ! -name "*.tar"                                                            \
- -a ! -name "*.tar.gz"                                                         \
- -a ! -name "*.tgz"                                                            \
- -a ! -name "*.tar.bz2"                                                        \
- -a ! -name "*.tbz"                                                            \
- -a ! -name "core"                                                             \
- -a ! -name "core.[1-9]*"                                                      \
- -a ! -name "libccmio*"                                                        \
-| sed                                                                          \
- -e '\@/\.git/@d'                                                              \
- -e '\@/\.tags/@d'                                                             \
- -e '\@/build/@d'                                                              \
- -e '\@/platforms/@d'                                                          \
- -e '\@/t/@d'                                                                  \
- -e '\@/Make[.A-Za-z]*/[^/]*/@d'                                               \
- -e '\@/[Dd]oxygen/html/@d'                                                    \
- -e '\@/download/@d'                                                           \
- -e '\@/libccmio-.*/@d'                                                        \
- -e '\@\./debian/@d'
-
-
-#------------------------------------------------------------------------------
diff --git a/bin/legacy/tools/foamListThirdPartyBinDirs b/bin/legacy/tools/foamListThirdPartyBinDirs
deleted file mode 100755
index 92cfe87c26fc24082ae2eea72e122d86d8df2769..0000000000000000000000000000000000000000
--- a/bin/legacy/tools/foamListThirdPartyBinDirs
+++ /dev/null
@@ -1,125 +0,0 @@
-#!/bin/sh
-#------------------------------------------------------------------------------
-# =========                 |
-# \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
-#  \\    /   O peration     |
-#   \\  /    A nd           |
-#    \\/     M anipulation  |
-#-------------------------------------------------------------------------------
-#                           | Copyright (C) 2011 OpenFOAM Foundation
-#------------------------------------------------------------------------------
-# License
-#     This file is part of OpenFOAM.
-#
-#     OpenFOAM is free software: you can redistribute it and/or modify it
-#     under the terms of the GNU General Public License as published by
-#     the Free Software Foundation, either version 3 of the License, or
-#     (at your option) any later version.
-#
-#     OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
-#     ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
-#     FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
-#     for more details.
-#
-#     You should have received a copy of the GNU General Public License
-#     along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.
-#
-# Script
-#     foamListThirdPartyBinDirs <directory> [archOptions]
-#
-# Description
-#     Lists directories containing binary files for OpenFOAM ThirdParty
-#
-# Note
-#     Not normally called directly by the user.
-#------------------------------------------------------------------------------
-toolsDir="${0%/*}"  # this script is already located in the tools/ directory
-
-[ $# -eq 1 -o $# -eq 2 ] || {
-cat <<USAGE 1>&2
-Usage : ${0##*/} <packDir> [archOptions]
-
-* List directories containing binary files for OpenFOAM ThirdParty
-
-    The value of 'archOptions' normally corresponds to \$WM_OPTIONS
-    The current value of \$WM_OPTIONS = $WM_OPTIONS
-
-USAGE
-    exit 1
-}
-
-#------------------------------------------------------------------------------
-packDir="$1"
-
-# default to same as $WM_OPTIONS - eg, 'linux64GccDPOpt'
-archOptions="${2:-$WM_OPTIONS}"
-
-[ -n "$archOptions" ] || {
-    echo "Error: no archOptions specified" 1>&2
-    exit 1
-}
-
-# base arch (w/o precision, optimization, etc)
-# same as "$WM_ARCH$WM_COMPILER"
-archCompiler=$(echo "$archOptions" | sed -e 's@[DS]P.*$@@')
-
-# same as $WM_ARCH - eg, 'linux64'
-# TODO: only works for Gcc, Icc, Clang
-archOS=$(echo "$archOptions" | sed -e 's@[GI]cc.*$@@' -e 's@Clang.*$@@')
-
-# links for 32-bit version, eg convert linux64 -> linux-64
-arch3264=$(echo "$archOS" | sed -e 's@64@-64@')
-
-
-#------------------------------------------------------------------------------
-# check for essential directories
-for dir in \
-    $packDir \
-    $packDir/platforms/$archOptions/lib \
-    ;
-do
-    [ -d $dir ] || {
-        echo "Error: directory $dir does not exist" 1>&2
-        exit 1
-    }
-done
-
-#------------------------------------------------------------------------------
-# list of directories
-dirList=$(
-    for dir in \
-        $packDir/platforms/$archOptions \
-        $packDir/platforms/$archCompiler \
-        $packDir/platforms/$archOS \
-        ;
-    do
-        [ -d $dir ] && echo $dir
-    done
-
-    # add in links for 32-bit version
-    if [ "$archOS" != "$arch3264" ]
-    then
-        for dir in \
-            $packDir/platforms/$arch3264 \
-            ;
-        do
-            [ -d $dir -a -L $dir ] && echo $dir
-        done
-     fi
-)
-
-
-cat <<INFO 1>&2
--------------------------------------------------------------------------------
-Packing $archOptions ($archCompiler) port of $packDir
-    archOS       = $archOS
-    32bit archOS = $arch3264
-
-dirs:
-    $(echo ${dirList:-NONE})
-
-INFO
-
-echo "$dirList"
-
-#------------------------------------------------------------------------------
diff --git a/bin/legacy/tools/gtagsrc b/bin/legacy/tools/gtagsrc
deleted file mode 100644
index 2ef56c8735b0973226a8c2c330a8449ae90f107b..0000000000000000000000000000000000000000
--- a/bin/legacy/tools/gtagsrc
+++ /dev/null
@@ -1,64 +0,0 @@
-#------------------------------------------------------------------------------
-# =========                 |
-# \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
-#  \\    /   O peration     |
-#   \\  /    A nd           |
-#    \\/     M anipulation  |
-#-------------------------------------------------------------------------------
-#                           | Copyright (C) 2011 OpenFOAM Foundation
-#------------------------------------------------------------------------------
-# License
-#     This file is part of OpenFOAM.
-#
-#     OpenFOAM is free software: you can redistribute it and/or modify it
-#     under the terms of the GNU General Public License as published by
-#     the Free Software Foundation, either version 3 of the License, or
-#     (at your option) any later version.
-#
-#     OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
-#     ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
-#     FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
-#     for more details.
-#
-#     You should have received a copy of the GNU General Public License
-#     along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.
-#
-# Canfiguration file
-#     gtagsrc
-#
-# Description
-#     Configuration file for gtags(1).
-#
-#------------------------------------------------------------------------------
-default:\
-	:tc=gtags:tc=htags:
-#------------------------------------------------------------------------------
-# Configuration for gtags(1)
-# See gtags(1).
-#------------------------------------------------------------------------------
-common:\
-	:skip=GPATH,GTAGS,GRTAGS,GSYMS,HTML/,HTML.pub/,html/,tags,TAGS,ID,.ebrowse,.etags,.etagsDef,.etagsDec,y.tab.c,y.tab.h,.notfunction,cscope.out,cscope.po.out,cscope.in.out,.gdbinit,SCCS/,RCS/,CVS/,CVSROOT/,{arch}/,.svn/,.git/,.cvsrc,.cvsignore,.gitignore,.cvspass,.cvswrappers,.deps/,autom4te.cache/,.snprj/:\
-	:langmap=c\:.c.h,yacc\:.y,asm\:.s.S,java\:.java,cpp\:.c++.cc.cpp.cxx.hxx.hpp.C.H,php\:.php.php3.phtml:
-gtags:\
-	:tc=common:\
-	:GTAGS=gtags-parser %s:\
-	:GRTAGS=gtags-parser -r %s:\
-	:GSYMS=gtags-parser -s %s:\
-	:skip=lnInclude/,tutorials/,wmake/,doc/,lib/,etc/:
-#
-#------------------------------------------------------------------------------
-# Configuration for htags(1)
-#------------------------------------------------------------------------------
-htags:\
-	:body_begin=<body text='#191970' bgcolor='#f5f5dc' vlink='gray'>:body_end=</body>:\
-	:table_begin=<table>:table_end=</table>:\
-	:title_begin=<h1><font color='#cc0000'>:title_end=</font></h1>:\
-	:comment_begin=<i><font color='green'>:comment_end=</font></i>:\
-	:sharp_begin=<font color='darkred'>:sharp_end=</font>:\
-	:brace_begin=<font color='red'>:brace_end=</font>:\
-	:warned_line_begin=<span style='background-color\:yellow'>:warned_line_end=</span>:\
-	:reserved_begin=<b>:reserved_end=</b>:script_alias=/cgi-bin/:\
-	:ncol#4:tabs#8:normal_suffix=html:gzipped_suffix=ghtml:\
-	:definition_header=no:
-
-#------------------------------------------------------------------------------
\ No newline at end of file
diff --git a/bin/legacy/tools/org-batch b/bin/legacy/tools/org-batch
deleted file mode 100755
index fef4b9a77633704e542de3ef36a7c22769020274..0000000000000000000000000000000000000000
--- a/bin/legacy/tools/org-batch
+++ /dev/null
@@ -1,136 +0,0 @@
-#!/bin/sh
-#------------------------------------------------------------------------------
-# =========                 |
-# \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
-#  \\    /   O peration     |
-#   \\  /    A nd           |
-#    \\/     M anipulation  |
-#-------------------------------------------------------------------------------
-#                           | Copyright (C) 2011 OpenFOAM Foundation
-#------------------------------------------------------------------------------
-# License
-#     This file is part of OpenFOAM.
-#
-#     OpenFOAM is free software: you can redistribute it and/or modify it
-#     under the terms of the GNU General Public License as published by
-#     the Free Software Foundation, either version 3 of the License, or
-#     (at your option) any later version.
-#
-#     OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
-#     ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
-#     FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
-#     for more details.
-#
-#     You should have received a copy of the GNU General Public License
-#     along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.
-#
-# Script
-#     org-batch
-#
-# Description
-#     Batch process emacs org-mode files to create html/LaTeX etc.
-#
-#------------------------------------------------------------------------------
-Script=${0##*/}
-
-usage() {
-    exec 1>&2
-    while [ "$#" -ge 1 ]; do echo "$1"; shift; done
-    cat<<USAGE
-
-Usage: $Script [OPTIONS] file1 [.. fileN]
-options:
-  -html      create html (default)
-  -latex     create LaTeX
-  -pdflatex  create pdf via pdflatex
-
-* Batch process emacs org-mode files to create html/LaTeX etc.
-
-USAGE
-    exit 1
-}
-
-
-# default is html export:
-mode=html
-unset makePDF
-
-echo "have $Script"
-case $Script in
-*pdflatex)
-    mode=latex
-    makePDF=pdflatex
-    ;;
-*latex)
-    mode=latex
-    ;;
-*html)
-    mode=html
-    ;;
-esac
-
-# parse options
-while [ "$#" -gt 0 ]
-do
-    case "$1" in
-    -h | -help)
-        usage
-        ;;
-    -html)
-        mode=html
-        shift
-        ;;
-    -latex)
-        mode=latex
-        shift
-        ;;
-    -pdflatex)
-        mode=latex
-        makePDF=pdflatex
-        shift
-        ;;
-    -*)
-        usage "unknown option: '$*'"
-        ;;
-    *)
-        break
-        ;;
-    esac
-done
-
-# default is the current directory
-[ "$#" -gt 0 ] || usage "No files specified"
-
-type emacs >/dev/null 2>&1 || usage "No emacs found in PATH"
-
-
-for org
-do
-    echo "Processing: $org"
-    echo "----------"
-    if [ -f "$org" ]
-    then
-        emacs --batch -l org --visit=$org \
-              --funcall org-export-as-$mode-batch
-
-        # post-processing step to create pdf
-        case "$makePDF" in
-        pdflatex)
-            input="${org%.org}.tex"
-
-            if [ -f "$input" ]
-            then
-                pdflatex "$input"
-            else
-                echo "No $input to convert to pdf"
-            fi
-            ;;
-        esac
-
-    else
-        echo "File not found"
-    fi
-    echo "----------"
-done
-
-#------------------------------------------------------------------------------
diff --git a/bin/tools/foamCreateModuleInclude b/bin/tools/foamCreateModuleInclude
index 7074ad5c965366207cda165c385a240f2ddff765..33629eb8f35cd7d827a17f02262705ad037e9359 100755
--- a/bin/tools/foamCreateModuleInclude
+++ b/bin/tools/foamCreateModuleInclude
@@ -263,6 +263,7 @@ unalias wmDP        2>/dev/null
 unalias wmInt32     2>/dev/null
 unalias wmInt64     2>/dev/null
 unalias wmSP        2>/dev/null
+unalias wmSPDP      2>/dev/null
 unalias wmSchedOff  2>/dev/null
 unalias wmSchedOn   2>/dev/null
 unalias wmSet       2>/dev/null
diff --git a/bin/tools/foamPackRelease b/bin/tools/foamPackRelease
index 70e5c5e2d0c91f97a3a63a572abc67f6c2d6090c..59962dd3c2275dc8037ddca9a0a1e6d767b4b5fa 100755
--- a/bin/tools/foamPackRelease
+++ b/bin/tools/foamPackRelease
@@ -23,17 +23,17 @@
 #     along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.
 #
 # Script
-#     foamTarRelease [OPTION]
+#     foamPackRelease [OPTION]
 #
 # Description
 #     Simple script generator for packing OpenFOAM sources and submodules
 #
-#       $ foamTarRelease -output some/path origin/master > create-tar
+#       $ foamPackRelease -output some/path origin/master > create-tar
 #       $ bash ./create-tar
 #
 #     Or directly:
 #
-#       $ foamTarRelease -output some/path origin/master | bash
+#       $ foamPackRelease -tgz origin/master | bash
 #
 #     Done as two-step process to allow further manual adjustments as required
 #------------------------------------------------------------------------------
@@ -47,8 +47,9 @@ cat <<USAGE
 Usage: ${0##*/} [OPTION] commit-ish
 options:
    -output DIR      Specify alternative output directory
-   -no-modules      Do not include submodules
+   -no-modules      Exclude submodules
    -compress=TYPE   Compress with specified type
+   -tgz             Alias for -compress=tgz
    -help            Print help
 
 Simple script generator for packing OpenFOAM and submodules.
@@ -57,6 +58,8 @@ Eg,
     $Script -output some-directory origin/master > create-tar
     sh ./create-tar
 
+    $Script -tgz origin/master | bash
+
 USAGE
     exit 1
 }
@@ -96,6 +99,9 @@ do
     -compress=*)
         compress="${1#*=}"
         ;;
+    -tgz)
+        compress="${1#*-}"
+        ;;
     -*)
         usage "unknown option: '$*'"
         ;;
@@ -127,7 +133,7 @@ echo "Using outputDir=$outputDir" 1>&2
 findGitDir()
 {
     (
-        if  cd "$1" 2>/dev/null && \
+        if cd "$1" 2>/dev/null && \
             git rev-parse --is-inside-work-tree > /dev/null 2>&1
         then
             git rev-parse --show-toplevel 2>/dev/null
diff --git a/bin/tools/foamUpdateCaseFileHeader b/bin/tools/foamUpdateCaseFileHeader
index 49688323e3a9f137691cadd723fd975ee058b4fe..8245877b5d773bb71c955a690ad95e47a5a670d7 100755
--- a/bin/tools/foamUpdateCaseFileHeader
+++ b/bin/tools/foamUpdateCaseFileHeader
@@ -94,10 +94,9 @@ printHeader()
 | =========                 |                                                 |
 | \\\\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox           |
 |  \\\\    /   O peration     | Version:  $version  |
-|   \\\\  /    A nd           | Copyright (C) 2018-2019 OpenCFD Ltd.
+|   \\\\  /    A nd           | Web:      www.OpenFOAM.com                      |
 |    \\\\/     M anipulation  |                                                 |
 \\*---------------------------------------------------------------------------*/
-#                           | Copyright (C) 2011-2016 OpenFOAM Foundation
 FoamFile
 {
     version     2.0;